var extraWebpackConfig = {
  module: {
    rules: [
      {
        test: /\.js$/,
        enforce: "pre",
        loader: "eslint-loader",
        exclude: /node_modules/
      }
    ]
  }
};

module.exports = {
  type: "react-component",
  npm: {
    esModules: true,
    umd: "ScanditSDK"
  },
  webpack: {
    extra: extraWebpackConfig
  }
};
