export default class {
  operations = [];

  execute() {
    this.operations
      .reduce((queuePromise, operation) => {
        return queuePromise.then(() => {
          // console.log('Operation queue', {executing: operation});
          return operation().then(() => {
            const operationIndex = this.operations.indexOf(operation);
            if (operationIndex > -1) {
              this.operations.splice(operationIndex, 1);
            }
          });
        });
      }, Promise.resolve())
      .then(() => {
        if (this.operations.length > 0) {
          return this.execute();
        }
      });
  }

  add(operation) {
    // console.log('Operation queue', { adding: operation });
    this.operations.push(operation);
  }
}
